GDPR
Dealing with GDPR requests.
GDPR Request
POST /v1/gdpr
Submit a GDPR request.
Request Body
Return Type
Types for the Request Body
GdprRequest (root level)
| Key | Description | Types | Restrictions |
|---|---|---|---|
message | Details regarding the request. | string | requirednot null |
details | Specific request details in a Key/Value object. | object | requirednot null |
Rate limit cost
Each call to this endpoint deducts 2 credits from your request bucket.
Scopes
This endpoint is only available for users with scope APP::MISC.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("POST", "https://public-api.bladepro.io/v1/gdpr", [
"body" => json_encode([
"message" => "Customer John Smith (#23) has requested a redaction.",
"details" => [
"name" => "John Smith",
"id" => "23",
"email" => "john.smith@nowhere.com",
],
]),
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.post 'https://public-api.bladepro.io/v1/gdpr', {
message: "Customer John Smith (#23) has requested a redaction.",
details: {
name: "John Smith",
id: "23",
email: "john.smith@nowhere.com",
},
}, {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "POST",
json: true,
uri: "https://public-api.bladepro.io/v1/gdpr",
body: {
"message": "Customer John Smith (#23) has requested a redaction.",
"details": {
"name": "John Smith",
"id": "23",
"email": "john.smith@nowhere.com"
}
},
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request POST 'https://public-api.bladepro.io/v1/gdpr' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login' \
--data-raw '{
"message": "Customer John Smith (#23) has requested a redaction.",
"details": {
"name": "John Smith",
"id": "23",
"email": "john.smith@nowhere.com"
}
}'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86"
},
"data": {
"id": 34
}
}